﻿using Syncfusion.UI.Xaml.Schedule;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.IO;
using System.Linq;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=234238

namespace AppointmentMapping_SfSchedule_WinRT
{
    public sealed partial class MainPage : Page
    {
        public ObservableCollection<MappedAppointment> MappedAppointments

        { get; set; }

        public MainPage()
        {

            InitializeComponent();

            MappedAppointments = new ObservableCollection<MappedAppointment>();
            
            for (int i = 0; i < 5; i++)
			{
                MappedAppointments.Add(new MappedAppointment { MappedSubject = "Meeting - " + i.ToString(), MappedStartTime = DateTime.Now.Date.AddDays(i).AddHours(10), MappedEndTime = DateTime.Now.Date.AddDays(i).AddHours(11) }); 
			}
            this.Type_cmb.ItemsSource = Enum.GetValues(typeof(ScheduleType));
            this.Type_cmb.SelectedIndex = 3;
            this.DataContext = this;

        }
    }

    public class MappedAppointment
    {

        public string MappedSubject { get; set; }

        public DateTime MappedStartTime { get; set; }

        public DateTime MappedEndTime { get; set; }

    }

}